commit:     0db793997799aec1d2cc342f20b58b1b710c36d5
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Mon Apr 25 22:44:30 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Fri Apr 29 07:09:44 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0db79399

dev-python/inflection: new package, dependency of flask-bootstrap, vn. 0.3.1

Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/1353

Signed-off-by: Ian Delaney <idella4 <AT> gentoo.org>

 dev-python/inflection/Manifest                |  1 +
 dev-python/inflection/inflection-0.3.1.ebuild | 42 +++++++++++++++++++++++++++
 dev-python/inflection/metadata.xml            | 17 +++++++++++
 3 files changed, 60 insertions(+)

diff --git a/dev-python/inflection/Manifest b/dev-python/inflection/Manifest
new file mode 100644
index 0000000..977a311
--- /dev/null
+++ b/dev-python/inflection/Manifest
@@ -0,0 +1 @@
+DIST inflection-0.3.1.tar.gz 12943 SHA256 
97e5fd494e5c2a541b2c86f8866e342c894c4eef28a19c1907db02024777495a SHA512 
2a69a6228f2d44a5afecbd3ef51a51b4d5f63f69ddc844f4abfd6f326cb25c518403e8c5b9f98589885777d41d8fea31bacab3a5a3ab80db411960238d2f49ad
 WHIRLPOOL 
10cfde356372e2f8d41b58122f239c80d7d38dd62f40f62af2cb6e10b687b524989baaa5dfdfbdf8aad5432bc9ffb91aa15121054c754ec90778e7148d138ea0

diff --git a/dev-python/inflection/inflection-0.3.1.ebuild 
b/dev-python/inflection/inflection-0.3.1.ebuild
new file mode 100644
index 0000000..fac3087
--- /dev/null
+++ b/dev-python/inflection/inflection-0.3.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="A port of Ruby on Rails inflector to Python"
+HOMEPAGE="https://github.com/jpvanhal/inflection";
+# PyPI tarballs don't include doc
+# https://github.com/jpvanhal/inflection/pull/12
+SRC_URI="https://github.com/jpvanhal/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND=""
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-runner[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+"
+
+python_compile_all() {
+       use doc && emake -C docs html
+}
+
+python_test() {
+       py.test || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/_build/html/. )
+       distutils-r1_python_install_all
+}

diff --git a/dev-python/inflection/metadata.xml 
b/dev-python/inflection/metadata.xml
new file mode 100644
index 0000000..5fc3f78
--- /dev/null
+++ b/dev-python/inflection/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Louis Sautier</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="pypi">inflection</remote-id>
+               <remote-id type="github">jpvanhal/inflection</remote-id>
+               <bugs-to>https://github.com/jpvanhal/inflection/issues</bugs-to>
+       </upstream>
+</pkgmetadata>

Reply via email to